import React from "react";
import { GeocoderAutocomplete, LocationType, SupportedLanguage, GeoPosition, CountyCode, ByCountryCodeOptions, ByCircleOptions, ByRectOptions, ByProximityOptions } from '@geoapify/geocoder-autocomplete';
export declare const GeoapifyApiKey: React.Context<string>;
export declare const GeoapifyContext: (props: any) => React.JSX.Element;
export interface GeoapifyGeocoderAutocompleteOptions {
    value?: string;
    type?: LocationType;
    lang?: SupportedLanguage;
    limit?: number;
    placeholder?: string;
    filterByCountryCode?: ByCountryCodeOptions;
    filterByPlace?: string;
    filterByCircle?: ByCircleOptions;
    filterByRect?: ByRectOptions;
    biasByCountryCode?: ByCountryCodeOptions;
    biasByCircle?: ByCircleOptions;
    biasByRect?: ByRectOptions;
    biasByProximity?: ByProximityOptions;
    position?: GeoPosition;
    countryCodes?: CountyCode[];
    debounceDelay?: number;
    skipIcons?: boolean;
    addDetails?: boolean;
    skipSelectionOnArrowKey?: boolean;
    allowNonVerifiedHouseNumber?: boolean;
    allowNonVerifiedStreet?: boolean;
    placeSelect?: (value: any) => void;
    suggestionsChange?: (value: any) => void;
    preprocessHook?: (value: string) => string;
    postprocessHook?: (feature: any) => string;
    suggestionsFilter?: (suggestions: any[]) => any[];
    sendGeocoderRequestFunc?: (value: string, geocoderAutocomplete: GeocoderAutocomplete) => Promise<any>;
    sendPlaceDetailsRequestFunc?: (feature: any, geocoderAutocomplete: GeocoderAutocomplete) => Promise<any>;
    onUserInput?: (input: string) => void;
    onOpen?: (opened: boolean) => void;
    onClose?: (opened: boolean) => void;
}
export declare const GeoapifyGeocoderAutocomplete: ({ placeholder: placeholderValue, type: typeValue, lang: langValue, limit: limitValue, value: valueValue, filterByCountryCode: filterByCountryCodeValue, filterByCircle: filterByCircleValue, filterByRect: filterByRectValue, filterByPlace: filterByPlaceValue, biasByCountryCode: biasByCountryCodeValue, biasByCircle: biasByCircleValue, biasByRect: biasByRectValue, biasByProximity: biasByProximityValue, position: positionValue, countryCodes: countryCodesValue, debounceDelay: debounceDelayValue, skipIcons: skipIconsValue, skipSelectionOnArrowKey: skipSelectionOnArrowKeyValue, allowNonVerifiedHouseNumber: allowNonVerifiedHouseNumberValue, allowNonVerifiedStreet: allowNonVerifiedStreetValue, addDetails: addDetailsValue, preprocessHook: preprocessHookValue, postprocessHook: postprocessHookValue, suggestionsFilter: suggestionsFilterValue, sendGeocoderRequestFunc: sendGeocoderRequestFuncValue, sendPlaceDetailsRequestFunc: sendPlaceDetailsRequestFuncValue, placeSelect: placeSelectCallback, suggestionsChange: suggestionsChangeCallback, onUserInput: userInputCallback, onOpen: openCallback, onClose: closeCallback, }: GeoapifyGeocoderAutocompleteOptions) => React.JSX.Element;
